Get exception day
GET
{{server}}/api/v1/smart/exceptionDay?branch={{branch}}It returns the exception day settings if today is an exception day.
Response
weekday(boolean | number): iftruetoday is an exception day. If it's a number, it points to another day of the week (0 - Sunday ... 7 - Saturday)
Request
Authorization
| Header | Value |
|---|---|
Authorization | SmartToken {{smartToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
Query parameters
| Key | Value |
|---|---|
branch | {{branch}} |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/smart/exceptionDay?branch={{branch}}' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}'
const response = await fetch("{{server}}/api/v1/smart/exceptionDay?branch={{branch}}", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/smart/exceptionDay?branch={{branch}}"
headers = {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Examples (3)
- No exception today
- Today is exception day
- Today is like Saturday
Example request
GET
{{server}}/api/v1/smart/exceptionDay?branch={{branch}}Query parameters (1)
| Key | Value |
|---|---|
branch | {{branch}} |
Headers (1)
| Key | Value |
|---|---|
Accept | application/json |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 2 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
[]
Example request
GET
{{server}}/api/v1/smart/exceptionDay?branch={{branch}}Query parameters (1)
| Key | Value |
|---|---|
branch | {{branch}} |
Headers (1)
| Key | Value |
|---|---|
Accept | application/json |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 234 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
[
{
"branch": "00000000-0000-4000-0003-000000000001",
"times": {
"year": null,
"month": 4,
"day": 28
},
"weekday": true,
"status": 1,
"name": "Branch is closed",
"key": "1967b90b-b7b1-4bb4-7e32-38e1d2bd2c54",
"type": 21,
"aspect": null,
"time": 1745829804927
}
]
Example request
GET
{{server}}/api/v1/smart/exceptionDay?branch={{branch}}Query parameters (1)
| Key | Value |
|---|---|
branch | {{branch}} |
Headers (1)
| Key | Value |
|---|---|
Accept | application/json |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 231 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
[
{
"branch": "00000000-0000-4000-0003-000000000001",
"times": {
"year": null,
"month": 4,
"day": 28
},
"weekday": 6,
"status": 1,
"name": "Branch is closed",
"key": "1967b90b-b7b1-4bb4-7e32-38e1d2bd2c54",
"type": 21,
"aspect": null,
"time": 1745829825412
}
]